Salome HOME
Correction for the previous integration
[modules/shaper.git] / test_squish.sh
index 93b6e637818ad221f85867fda3aa97999645909e..b1846e5b2ea93749b2e5dbb5cb57850190506cfa 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/bash -x
+#!/bin/bash
 
 a_dir=$(dirname $0)
 
@@ -19,13 +19,27 @@ for aut in linux_run.sh salome_run.sh; do
 done
 squishserver --config setAUTTimeout 120
 squishserver --verbose --port=${SQUISHSERVER_PORT} --stop
-squishserver --verbose --port=${SQUISHSERVER_PORT} 2>server.err &
+squishserver --verbose --port=${SQUISHSERVER_PORT} 1>log_squishserver 2>err_squishserver &
 
 squishrunner --port=${SQUISHSERVER_PORT} --config setCursorAnimation off
 
 RETVAL=0
 
 squishrunner_run() {
+  local suite=$1
+  local cases="$2"
+
+  echo "Running suite ${suite}"
+  if [ "${cases}" != "" ]; then echo "Cases ${cases}"; fi
+
+  set +e
+  squishrunner --port=${SQUISHSERVER_PORT} --testsuite ${suite} ${cases} --reportgen stdout --exitCodeOnFail 1
+  EXIT_CODE=$?
+  set -e
+  if [ ${EXIT_CODE} = '1' ]; then RETVAL=1; fi
+}
+
+squishrunner_batch() {
   local suite=$1
   local tests=$2
 
@@ -36,15 +50,19 @@ squishrunner_run() {
   done
   set -x
 
-  set +e
-  squishrunner --port=${SQUISHSERVER_PORT} --testsuite ${suite} ${tests_arg} --reportgen stdout --exitCodeOnFail 1
-  EXIT_CODE=$?
-  set -e
-  if [ ${EXIT_CODE} = '1' ]; then RETVAL=1; fi
+  echo ${tests_arg}
+  squishrunner_run ${suite} "${tests_arg}"
 }
 
-squishrunner_run ./test.squish/suite_ISSUES 'tst_BASE tst_DISTANCE tst_PARALLEL_1 tst_PARALLEL_2 tst_PERPENDICULAR_1 tst_RADIUS tst_c tst_common_1 tst_crash_1 tst_818 tst_532'
-squishrunner_run ./test.squish/suite_ISSUES_SALOME 'tst_sketch_001 tst_sketch_002 tst_sketch_003 tst_sketch_004 tst_sketch_005 tst_sketch_006 tst_sketch_007 tst_sketch_008 tst_sketch_009 tst_sketch_010 tst_sketch_011 tst_474 tst_532 tst_576 tst_679'
+#squishrunner_batch ./test.squish/suite_ISSUES 'tst_BASE tst_DISTANCE tst_PARALLEL_1 tst_PARALLEL_2 tst_PERPENDICULAR_1 tst_RADIUS tst_c tst_common_1 tst_crash_1 tst_818 tst_532'
+#squishrunner_batch ./test.squish/suite_ISSUES_SALOME 'tst_sketch_001 tst_sketch_002 tst_sketch_003 tst_sketch_004 tst_sketch_005 tst_sketch_006 tst_sketch_007 tst_sketch_008 tst_sketch_009 tst_sketch_010 tst_sketch_011 tst_474 tst_532 tst_576 tst_679'
+
+for suite in ./test.squish/suite_*; do
+  squishrunner_run ${suite}
+done
+
+
+
 
 squishserver --verbose --port=${SQUISHSERVER_PORT} --stop
 for aut in linux_run.sh salome_run.sh; do